Open SCAP Library

Public Member Functions | Data Fields
oval_variable_restriction Struct Reference
OVAL » OVALDEF

## Public Member Functions
struct oval_variable_restriction * | oval_variable_restriction_new (oval_operation_t operation, const char *value)
| Construct new instance of restriction element. More...
void | oval_variable_restriction_free (struct oval_variable_restriction *r)
| Free instance of restriction element.
oval_operation_t | oval_variable_restriction_get_operation (struct oval_variable_restriction *restriction)
| Get the operation of a restriction element.
char * | oval_variable_restriction_get_value (struct oval_variable_restriction *restriction)
| Get the value of a restriction element.

## Data Fields
oval_operation_t | operation
char * | value

The documentation for this struct was generated from the following files:

- oval_variable.c
- oval_definitions.h